{
  lib,
  pkgs,
  flake,
  ...
}: let
  inherit (flake.config.aesthetics.themes.theme) font;
in {
  userSettings = {
    "git.confirmSync" = false;
    "editor.insertSpaces" = false;
    "files.autoSave" = "afterDelay";
    "git.enableSmartCommit" = true;
    "nix.enableLanguageServer" = true;
    "nix.serverPath" = lib.getExe pkgs.nil;
    "nix.formatterPath" = lib.getExe pkgs.alejandra;
    "window.menuBarVisibility" = "toggle";
    "workbench.iconTheme" = "material-icon-theme";
    "workbench.startupEditor" = "none";
    "workbench.colorTheme" = "Catppuccin Mocha";
    "workbench.statusBar.visible" = false;
    "editor.multiCursorLimit" = 700000;
    "elmLS.disableElmLSDiagnostics" = true;
    "elmLS.elmReviewDiagnostics" = "warning";
    "editor.wordWrap" = "on";
    "editor.fontSize" = 14;
    "editor.fontFamily" = "'${font}', 'monospace', monospace";
    "terminal.integrated.fontSize" = 14;
    "terminal.integrated.fontFamily" = "'${font}', 'monospace', monospace";
    "editor.fontLigatures" = true;
  };
}
